APIs
Log In
APIs

addPolylines

Add polylines to a mapdata

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The "polylines" parameter must be a stringified JsonArray object containing the polylines vertices and attributes.

These vertices must be JsonArray objects too, and must contain the latitude first and the longitude second in the WGS84 projection.
Therefore, the latitude value must be between -85 and +85 and the longitude one must be between -180 and +180.
You need at least 2 vertices to make a polyline.
The attributes must be represented by a JsonObject containing attribute name/attribute value pairs.
Date Type Attribute if add a geometry with a date type attribute. Date value format : dd-MM-yyyy (example 12-02-2016)
For example :

var polylinesAsJsonArray = [{"vertices":[[43.5,3.8],[44.2,3.4],[43.9,4.1]], "attributes":{"Name":"Viktor Blom","Phone":0033123456789,"Age":25}},
{"vertices":[[43.7,3.4],[44.2,3.7],[42.9,4.5]], "attributes":{"Name":"Doug Polk","Phone":0033123789456,"Age":26}},
{"vertices":[[42.1,3.2],[45.2,3.4],[43.6,4.1]], "attributes":{"Name":"Alexandre Luneau","Phone":0033456789123,"Age":28}}];
var polylines = JSON.stringify(polylinesAsJsonArray);

If successful, this method adds the polylines to the mapdata defined by the "mapdatName" parameter and returns a 200 HTTP response containing the newly added polylines ids.

Body Params
string
required

The mapdataName of the mapdata to add the polylines to

string
required

A stringified Json array containing the polylines vertices and attributes

string
required

Your Technical Account ID. For more information : Prerequisites

string
required

Your signature. For more information : Security Overview

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json